License all the users on the domains belonging to a specific tenant

Permission Level: SuperAdmin

POST /users/license

Operation id: UserService_LicenseUsers

Tags: UserService

Security

  • Authorization (apiKey)
    • Bearer token

Responses

200 — A successful response.

Content type: application/json

default — An unexpected error response.

Content type: application/json

Request body

Required: Yes

application/json

Schema

PropertyTypeRequiredDescription
tenantIdstringNo
domainsarrayNo
userCountinteger (int32)No
{
  "type": "object",
  "properties": {
    "tenantId": {
      "type": "string"
    },
    "domains": {
      "type": "array",
      "items": {
        "type": "string"
      }
    },
    "userCount": {
      "type": "integer",
      "format": "int32"
    }
  }
}

Response models

200 — A successful response.

Content type: application/json

Schema

PropertyTypeRequiredDescription
licensedUsersCountinteger (int32)No
{
  "type": "object",
  "properties": {
    "licensedUsersCount": {
      "type": "integer",
      "format": "int32"
    }
  }
}

default — An unexpected error response.

Content type: application/json

Schema

PropertyTypeRequiredDescription
codeinteger (int32)No
messagestringNo
detailsarrayNo
{
  "type": "object",
  "properties": {
    "code": {
      "type": "integer",
      "format": "int32"
    },
    "message": {
      "type": "string"
    },
    "details": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "@type": {
            "type": "string"
          }
        }
      }
    }
  }
}